Bug 989654 - (CVE-2013-4995) CVE-2013-4995 phpMyAdmin: XSS due to unescaped HTML output when executing SQL query (PMASA-2013-8)
CVE-2013-4995 phpMyAdmin: XSS due to unescaped HTML output when executing SQL...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130728,repor...
: Security
Depends On: 989678 989679 989877
Blocks: 989687
  Show dependency treegraph
 
Reported: 2013-07-29 13:06 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:01 EST (History)
6 users (show)

See Also:
Fixed In Version: phpMyAdmin 3.5.8.2, phpMyAdmin 4.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 01:17:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-29 13:06:29 EDT
A cross-site scripting (XSS) flaw was found in the way specific routine to display the records returned by the SQL query of phpMyAdmin, a tool written in PHP intended to handle the administration of MySQL over the World Wide Web, used to sanitize output of the SQL query. A remote attacker could provide a specially-crafted web page that, when visited by a phpMyAdmin user would lead to arbitrary HTML or web script execution in the context of phpMyAdmin's user session.

Upstream advisory:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2013-8.php

Relevant patches:
[2] https://github.com/phpmyadmin/phpmyadmin/commit/56e9ede5223219cef2187ced385924ef2e0ae21d (against master)
[3] https://github.com/phpmyadmin/phpmyadmin/commit/01d35b3558e47fba947719857bd71f6fd9e5dce8 (against 3.5.x)
Comment 1 Jan Lieskovsky 2013-07-29 13:16:36 EDT
This issue affects the latest version of the phpMyAdmin package, as shipped with Fedora release of 18, 19, and Fedora EPEL 6. Please schedule an update.

--

This issue did not affect the latest version of the phpMyAdmin package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-07-29 13:32:36 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 989678]
Affects: epel-6 [bug 989679]
Comment 4 Jan Lieskovsky 2013-07-30 04:59:44 EDT
The CVE identifier of CVE-2013-4995 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/07/30/1

Note You need to log in before you can comment on or make changes to this bug.